var next =
        {'index': 'introduo',
            'introduo': 'deciso_01',
            'deciso_01': 'novo_exame',
            'novo_exame': 'deciso_02',
            'deciso_02': 'deciso_03',
            'deciso_03': 'deciso_04',
            'deciso_04': 'deciso_05',
            'deciso_05': 'concluso_do_caso',
            'concluso_do_caso': null
        };

var percentagem =
        {'index': 0,
            'introduo': 15,
            'deciso_01': 25,
            'novo_exame': 35,
            'deciso_02': 55,
            'deciso_03': 65,
            'deciso_04': 75,
            'deciso_05': 85,
            'concluso_do_caso': 100
        };

/*
 Essa função recebe como parâmetro um valor de porcentagem, enviado pela go_last_page usando status.percentage
 a partir de então, é feito um laço entre todas as chaves do array percentagem
 Quando o valor da chave na iteração do array for igual ao valor recebido por parâmetro...
 ...é feito um retorno com a chave
 */
function percentage_idx(value) {
    for (var key in percentagem) {
        if (percentagem[key] === value) {
            return key;
        }
    }
    return null;
}
;

/*
 Nessa função o status do curso é carregado e atribuído á variável status
 em seguida é chamada a função percentage_idx enviando como parâmetro a porcentagem do status(ex:80)
 a função percentage_idx retorna a chave que tem o valor enviado(ex: para valor 80, a chave é deciso_05)
 A partir disso ocorre o redirecionamento para a página indicada pela chave
 */
function go_last_page() {
    var status = unasus.pack.getStatus();

    if (status === undefined) {
        status = createStatusDefault();
    }

    if (status === null) {
        return false;
    }

    var idx = percentage_idx(status.percentage);
    if (idx) {
        window.location = idx + '.html';
    }
}

function question_response(d) {
    var questionResponse = new Array("NA", "c", "c", "a", "c", "c");
    return questionResponse[d];
}
;

function question_feedback(d, o) {

    /*
     Nessa função eu consigo obter qual página deve abrir de acordo com a escolha do usuário
     São criados diferentes arrays para cada opção(a,b,c) escolhida
     Cada posição no array representa uma página com a resposta. Essa posição é escolhida com o atributo "d"
     "d" contém a perguta escolhida(1,2,3...)
     */
    var resp = "";
    var questionFeedback;
    if (o === "a")
        questionFeedback = new Array("NA", "F0001", "F0004", "F0007", "F0010", "F0013");
    if (o === "b")
        questionFeedback = new Array("NA", "F0002", "F0005", "F0008", "F0011", "F0014");
    if (o === "c")
        questionFeedback = new Array("NA", "F0003", "F0006", "F0009", "F0012", "F0015");
    resp = questionFeedback[d];
    return resp;
}
;


function question_feedback_anchor(d, o) {
    var resp = "";
    var questionFeedback;
    if (o === "a")
        questionFeedback = new Array("", "", "", "", "", "", "", "");
    if (o === "b")
        questionFeedback = new Array("", "", "", "", "", "", "", "");
    if (o === "c")
        questionFeedback = new Array("", "", "", "", "", "", "", "");
    resp = questionFeedback[d];
    return resp;
}
;

/*
 Essa função recebe como parâmetro a questão, a opção escolhida 
 é criado um novo objeto chamado answer, com os atributos decisao e resposta, que recebem valores dos parâmetros
 É chamada a função question_response para saber se o usuário acertou a questão e armazenado em decisao.correta
 Por último é chamada a função setPersistence do unasus.pack enviando para "ANSWER" o objeto answer
 */
function choice(d, o) {

    var answer = new Object();
    var question = new Object();
    var arrayQuestions = new Array();

    answer.stage = "caso_eduardo_frederico";

    question.question = d;
    question.alternative = o;

    if (o === question_response(d)) {
        question.correct = true;
    } else {
        question.correct = false;
    }

    arrayQuestions.push(question);

    answer.questions = arrayQuestions;

    unasus.pack.setPersistence('ANSWER', answer);
}
;

function atualizar_status(np) {
    var status = unasus.pack.getStatus();

    if (status === undefined) {
        status = createStatusDefault();
    }

    if (status === null) {
        return false;
    }

    var changed = false;
    if (status.status === 'attended') {
        status.status = 'attempted';
        changed = true;
    }
    if (percentagem[np] > status.percentage) {
        status.percentage = percentagem[np];
        changed = true;
    }
    if (np === 'concluso_do_caso') {
        if (status.status !== 'completed') {
            status.status = 'completed';
            status.LTIvalue = 1;
            changed = true;
        }
    }
    if (changed) {
        unasus.pack.setStatus(status);
    }
}
;

function proxima_pagina(pagina_atual) {
    var np = next[pagina_atual];
    if (np !== null) {
        atualizar_status(np);
        window.location = np + '.html';
    }
}

function finalizar_exame_clinico() {
    proxima_pagina('introduo');
}
;

function finalizar_segundo_exame_clinico() {
    proxima_pagina('novo_exame');
}
;

function prosseguir(d, o) {
    proxima_pagina('deciso_0' + d);
}
;

function mostrarFeedback(decisao, alternativa) {

    $("#feedback").html("<iframe id = 'feedbackIframe' class = 'feedbackIframe'  src='conteudo.html?d=" + decisao + "&o=" + alternativa + "'></iframe>");
    $('.ui.modal.conteudo').modal('show');

    var iwp = document.getElementById("feedbackIframe");

    iwp.onload = function (event) {

        var iwp = document.getElementById("feedbackIframe");
        var iwc = iwp.contentWindow;

        iwc.oncontextmenu = function () {
            return false;
        };

    };

}

// Função de download do protocolo

function downloadProtocolo(){
    downloadControl("text", "protocolo_influenza2015.pdf");
    window.open('docs/protocolo_influenza2015.pdf');
}

function downloadInforme(){
    downloadControl("text", "Informe_Cp_Influenza _11_03_2016_final.pdf");
    window.open('docs/Informe_Cp_Influenza _11_03_2016_final.pdf');
}

function downloadInforme(){
    downloadControl("text", "Informe_Cp_Influenza _11_03_2016_final.pdf");
    window.open('docs/Informe_Cp_Influenza _11_03_2016_final.pdf');
}
